import API from 'tdvc';
import { ErrorManager, TensolflowManager } from '../managers';
import { BaseModule, LoginModule, SuccessModule } from '../modules';
import ErrorModule from '../modules/error.module';
import { ComponentSettingsFromClient, TInterfaceConfig, TOnboardingApplicant, TServerConfig } from '../types';
import { BusinessLogicConfig } from './business_logic_config';
export declare abstract class BaseClass {
    protected abstract targetAction: 'Registration' | 'Authorization';
    protected abstract localePageName: 'Register' | 'Login';
    protected mountElement: HTMLElement;
    protected targetActionHasBeenCompleted: boolean;
    protected applicant?: TOnboardingApplicant;
    private _configuration;
    protected businessLogicConfig: BusinessLogicConfig;
    protected serverConfig: TServerConfig;
    protected interfaceConfig: TInterfaceConfig;
    protected api: API;
    protected tensorflowManager: TensolflowManager;
    protected errorManager: ErrorManager;
    protected loginModule: LoginModule;
    protected baseModule: BaseModule;
    protected successModule: SuccessModule;
    protected errorModule: ErrorModule;
    private _localizator;
    protected abstract targetActionFn(data: [string, FormDataEntryValue][], primaryField: string): Promise<void>;
    protected abstract drawPageByApplicantStatus(): void;
    constructor(config: ComponentSettingsFromClient);
    private printComponentVersionInConsole;
    private initMountElement;
    fetchComponentSettings(baseUrl: string, componentId: string): Promise<any>;
    private initBusinessLogicConfig;
    private initInterfaceConfig;
    private initServerConfig;
    private getSettings;
    private initApi;
    private initLoginModule;
    private initSuccessModule;
    private initErrorModule;
    private initErrorManager;
    private initTensorflowManager;
    private initBaseModule;
    private addScriptTagWithSrcOpenCV;
    private loadTensorFlowModel;
    private redirectToPageByApplicantStatus;
    private hasSriptTagWithSrcOpenCV;
    private method;
    private checkApplicantId;
    private handleRequestError;
    private onBack;
    private disableLoadingForm;
    private enableLoadingForm;
    protected onTargetActionHasBeenCompleted(): void;
    destroy(): void;
    protected destroyModules(): void;
}
