import { CameraResolutions } from './const';
import { CameraData } from './types';
export declare class Camera {
    private _preferCameraId?;
    private _preferCameraResolution;
    private _isSupportMediaDeviceApi;
    private _currentCamera?;
    private _avaliableCameras;
    constructor({ preferCameraResolution, preferCameraId, }?: {
        preferCameraResolution?: CameraResolutions;
        preferCameraId?: string;
    });
    getCurrentCamera(): CameraData | undefined;
    getAvaliableCameras(): MediaDeviceInfo[] | undefined;
    updatePreferCameraId(id: string): void;
    findAvailableCameras(): Promise<void>;
    startCameraVideoStream(): Promise<void>;
    stopCurrentCameraVideoStream(): void;
    destroy(): void;
    private getStream;
    private checkThatMediaDeviceApiSupported;
    private handleCamerasError;
    private getVideoCameraConstraints;
}
