import { TLivenessConfig } from '../../../types/liveness-reflection-config.type';
export declare class LivenessWebRtcTransport {
    private _livenessConfig;
    private pc?;
    private dc?;
    private credentials?;
    private _handleMessage;
    constructor({ livenessConfig, handleMessage, }: {
        livenessConfig: TLivenessConfig;
        handleMessage: (event: MessageEvent<string>, dataChannel: RTCDataChannel) => Promise<void>;
    });
    openConection(): Promise<void>;
    private createPeerConnection;
    private getCredentials;
    private getConfigForRTCPeerConnection;
    private openDatachanel;
    attachStream(): Promise<void>;
    private negotiate;
    private handleError;
    getNetworkMetrics(): Promise<{
        bitrate: number;
        frameRate: any;
    }>;
    closeConnection(): Promise<void>;
    private checkThatRTCPeerConnectionExist;
    private checkThatRTCDataChannelExist;
}
