import { TLivenessConfig } from '../../../types/liveness-reflection-config.type';
import { VideoCodecs, VideoFormats } from './const';
export declare class LivenessWebSocketTransport {
    private _livenessConfig;
    private _websocket;
    private _handleOpenConnection?;
    private _handleMessage;
    constructor({ livenessConfig, handleMessage, handleOpenConnection, }: {
        livenessConfig: TLivenessConfig;
        handleOpenConnection?: () => void;
        handleMessage: (event: MessageEvent<string>, websocket: WebSocket) => void;
    });
    openConection(): Promise<void>;
    private sendToken;
    startLivenessReflectionRecordSignal(format: VideoFormats, codec: VideoCodecs): void;
    startMotionControlRecordSignal(format: VideoFormats, codec: VideoCodecs): void;
    private sendSingnalForStartRecord;
    sendSignalForStopRecord(): void;
    saveRecordSignal(): void;
    resetRecordSignal(): void;
    sendVideoChunck(bytes: Uint8Array): void;
    private sendMessage;
    private checkThatWebsocketExist;
    closeConnection(): void;
}
