import { DeviceManager, TensolflowManager } from '../../../managers';
import { FaceSettings } from '../../../types';
import { ILocalizator } from '../../localizator';
import { MotionControlPattern, onMotionCalback } from './types';
export declare class MotionControl {
    private _localizator;
    private _pattern;
    private _faceSettings;
    private _deviceManager;
    private _tensorflowManager?;
    private _isRecorded;
    private _attemptCount;
    private result;
    private _onMotionCallback?;
    private hintSpan;
    private hintLeft;
    private hintRight;
    private hintUp;
    private hintLeftCamera;
    private hintRightCamera;
    constructor({ attemptCount, localizator, deviceManager, tensorflowManager, pattern, faceSettings, onMotionCallback, }: {
        attemptCount: number;
        localizator: ILocalizator;
        deviceManager: DeviceManager;
        tensorflowManager?: TensolflowManager;
        pattern: MotionControlPattern[];
        faceSettings: FaceSettings;
        onMotionCallback?: onMotionCalback;
    });
    run(onStartCallback?: () => void, onFinishCallback?: () => void): Promise<void>;
    getMotionControlResult(): {
        pattern: MotionControlPattern;
        result: boolean;
    }[];
    isFinished(): boolean;
    private passingMotionControlPattern;
    private callMotionCallback;
    private getValidatorForPattern;
    private checkFacePostionForLeftPattern;
    private checkFacePostionForRightPattern;
    private checkFacePostionForUpPattern;
    private checkFacePostionForCenterPattern;
    private checkFacePostionForCloserPattern;
    private checkFacePostionForFartherPattern;
    private checkIsFaceCentered;
    private renderFacePositionScore;
    private renderFaceCircleScoreForPattern;
    private renderFaceCircleInCenter;
    private renderFaceCircleInDefaultSize;
    private hideAllHint;
    private resetFaceCircleState;
    private renderErrorMessage;
    private renderNormalPositionMessage;
    private renderPatternHint;
}
