import { TApplicant, TValidateApplicantResult } from 'tdvc/dist/types';
import { TensolflowManager } from '../managers';
import DeviceManager from '../managers/device.manager';
import { TBaseModuleConfig, TBoundingBox, TDrawBaseConfig } from '../types';
export default class BaseModule {
    protected config: TBaseModuleConfig;
    private configuration;
    protected page: 'Login' | 'Register' | 'Authorize' | 'Success' | 'Errors';
    baseContainer: HTMLElement;
    protected headerContainer: HTMLElement;
    protected body: HTMLElement;
    protected footer: HTMLElement;
    protected tensorflowManager: TensolflowManager;
    protected deviceManager: DeviceManager;
    private errorManager?;
    private livenessManager?;
    protected slowEnternetTimestamp?: number;
    protected takePhotoTimerId?: NodeJS.Timeout;
    protected slowEnternetTimerId?: NodeJS.Timeout[];
    private _camera;
    protected cameraWidth?: number;
    protected cameraHeight?: number;
    protected faceImageBase64?: string;
    protected applicant?: TApplicant;
    private _endeavorId;
    protected livenessIsStarted?: boolean;
    private _lrPattern;
    protected onBack: () => void;
    constructor(config: TBaseModuleConfig);
    drawContent({ onSubmitClick, applicant }: TDrawBaseConfig): void;
    protected drawHeader(): void;
    protected drawButtons({ onSubmitClick, applicant }: TDrawBaseConfig): void;
    private renderCameraPreview;
    private enableLoadingStateForCameraPreview;
    private disableLoadingStateForCameraPreview;
    protected renderCameraSelect(): Promise<void>;
    protected startLivenessStream(): Promise<void>;
    protected validateHandler(onSubmitClick: () => void): Promise<void>;
    protected validateResponseStatus(responseData: TValidateApplicantResult, isRegistration: boolean): boolean;
    protected autosubmit(): void;
    protected takePhoto(): void;
    protected clearPhoto(): void;
    protected isFaceCentered(bbox: TBoundingBox | undefined, width: number, height: number): {
        faceWidth: number;
        faceHeight: number;
        idealWidth: number;
        idealHeight: number;
        bboxInCenter: number;
    } | {
        faceWidth: number;
        faceHeight: number;
        idealWidth: number;
        idealHeight: number;
        bboxInCenter: boolean;
    };
    protected drawVideoText(errKey: string, type: 'ERROR' | 'SUCCESS' | 'DISABLE' | 'LOAD'): void;
    protected checkVideoWithModel(): Promise<void>;
    private getEndeavor;
    protected disableVideoForm(): void;
    protected setLoadingSubmitButton(isLoading: boolean): void;
    protected loadModels(): Promise<void>;
    private handleError;
    destroyManagers(): Promise<void>;
    destroy(): Promise<void>;
}
