import API from 'tdvc';
import { TensolflowManager } from '../managers';
import { ComponentConfiguration, IceCandidates, TBLConfig, TInterfaceConfig } from './config.type';
import { TOnboardingApplicant } from './main.type';
export type TBaseModuleConfig = {
    type: 'register' | 'authorization';
    baseContainer: HTMLElement;
    api: API;
    interfaceConfig: TInterfaceConfig;
    onBack: () => void;
    videoRecorderDecryptionKey: string;
    iceServers: IceCandidates[];
    blConfig: TBLConfig;
    tensorflowManager: TensolflowManager;
    videoRecorderToken: string;
    configuration: ComponentConfiguration;
};
export type TDrawBaseConfig = {
    onSubmitClick: () => void;
    applicant: TOnboardingApplicant;
};
