import API from 'tdvc';
import { Pattern } from '../class/liveness/liveness_reflection';
import { DeviceManager, ErrorManager, TensolflowManager } from '../managers';
import { IceCandidates, TBLConfig, TInterfaceConfig } from './config.type';
export type TLivenessConfig = {
    decryptKey: string;
    stream: MediaStream;
    onProcess: () => void;
    onAbort: (code: string) => void;
    setLoading: (isLoading: boolean, keyText?: string) => void;
    interfaceConfig: TInterfaceConfig;
    deviceManager: DeviceManager;
    errorManager: ErrorManager;
    api: API;
    useStun?: boolean;
    iceServers: IceCandidates[];
    lrPattern: Pattern[];
    endeavorId: string;
    body: HTMLElement;
    tensorflowManager?: TensolflowManager;
    blConfig: TBLConfig;
    videoRecorderToken: string;
};
